%define	name		tinyca 
%define version		0.7.0
%define release		1mdk

%define localedir	%{_datadir}/locale

Name:			%{name}
Version:		%{version}
Release:		%{release}
Source0:		%{name}2-%{version}.tar.bz2
URL:			http://tinyca.sm-zone.net/
Group:			System/Servers
License:		GPL
Summary:		Small Certification Authority (CA) manager 
BuildRoot:		%{_tmppath}/%{name}-%{version}-buidroot
Obsoletes:    		TinyCA
Provides:		TinyCA
BuildArch:		noarch

%description 
TinyCA is a simple graphical user interface written in Perl/Gtk to manage
a small CA (Certification Authority). TinyCA works as a frontend for
openssl.

%prep
%setup -q -n %{name}2-%{version}
cd $RPM_BUILD_DIR/%{name}2-%{version}
# Configure pristine source
perl -pi -e 's:./lib:%{_libdir}/%{name}/lib:g' tinyca
perl -pi -e 's:./templates:%{_libdir}/%{name}/templates:g' tinyca
perl -pi -e 's:./locale:%{localedir}:g' tinyca
perl -pi -e 's:usr//bin:usr/bin:g' tinyca

%build
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/{lib,templates}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/GUI
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{localedir}/cs/LC_MESSAGES/
mkdir -p $RPM_BUILD_ROOT%{localedir}/de/LC_MESSAGES/
mkdir -p $RPM_BUILD_ROOT%{localedir}/es/LC_MESSAGES/

install -m 444 lib/*.pm $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/
install -m 444 lib/GUI/*.pm $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/GUI/
install -m 644 templates/openssl.cnf $RPM_BUILD_ROOT%{_libdir}/%{name}/templates/
install -m 755 tinyca2 $RPM_BUILD_ROOT%{_bindir}/%name
install -m 644 po/cs.mo $RPM_BUILD_ROOT%{localedir}/cs/LC_MESSAGES/
install -m 644 po/de.mo $RPM_BUILD_ROOT%{localedir}/de/LC_MESSAGES/
install -m 644 po/es.mo $RPM_BUILD_ROOT%{localedir}/es/LC_MESSAGES/

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc CHANGES INSTALL
%{_bindir}/*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/lib/GUI/
%dir %{_libdir}/%{name}/templates/
%lang(cs) %{localedir}/cs/LC_MESSAGES/*
%lang(de) %{localedir}/de/LC_MESSAGES/*
%lang(es) %{localedir}/es/LC_MESSAGES/*
%{_libdir}/%{name}/templates/openssl.cnf
%{_libdir}/%{name}/lib

%changelog
* Mon Jun 06 2005 Lenny Cartier <lenny@mandriva.com> 0.7.0-1mdk
- 0.7.0

* Sun Feb 21 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.6.8-1mdk
- 0.6.8

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.7-1mdk
- 0.6.7

* Wed Aug 18 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.6.6-2mdk
- updated description, tinyca isn't actually writen in Perl/Tk
- removed perl-tk requirisity

* Wed Aug 18 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.6.6-1mdk
- 0.6.6
- removed P0, merged upstream
- added new translations into package
- don't own locale directory

* Thu Jul  8 2004 Aleksander Adamowski <aleksander.adamowski@altkom.pl> 0.6.3-1mdk
- 0.6.3

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.4-3mdk
- fix DIRM
- fix locale location

* Mon Jan 19 2004 Florin <florin@mandrakesoft.com> 0.5.4-2mdk
- rebuild to fix perl(TCONFIG) bad requires

* Wed Dec 17 2003 Daouda LO <daouda@mandrakesoft.com> 0.5.4-1mdk
- 0.5.4 

* Thu Jul 31 2003 Daouda LO <daouda@mandrakesoft.com> 0.4.9-1mdk
- 0.4.9 (german version)

* Thu Jul  3 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.4.8-2mdk
- fixed perl substitutions in prep..

* Thu Jul  3 2003 Daouda LO <daouda@mandrakesoft.com> 0.4.8-1mdk
- 0.4.8

* Thu Apr 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.4.4-2mdk
- rm -rf buildroot in %%install in stead of %%prep
- quiet setup

* Thu Apr 17 2003 Daouda LO <daouda@mandrakesoft.com> 0.4.4-1mdk
- release 0.4.4
- patch1 merged in pristine sources

* Mon Aug 19 2002 Daouda LO <daouda@mandrakesoft.com> 0.4.0-1mdk
- release 0.4.0
- no more dependencies on OpenCA modules

* Sat Jul 13 2002 Daouda LO <daouda@mandrakesoft.com> 0.3.1-2mdk
- relocate templates (Ben Reser)

* Wed Jul 10 2002 Daouda LO <daouda@mandrakesoft.com> 0.3.1-1mdk
- first mdk package

